Bug 43664 - xdm dumps core on alpha 4.7-rc0 - xdmauth code seems to be culprit
Summary: xdm dumps core on alpha 4.7-rc0 - xdmauth code seems to be culprit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eric Anholt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-04 20:50 UTC by Fred Clift
Modified: 2003-01-24 04:43 UTC (History)
0 users

See Also:


Attachments
X-Wraphelp-NetBSD.diff (1.50 KB, patch)
2003-01-09 21:42 UTC, Eric Anholt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fred Clift 2002-10-04 20:50:07 UTC
after a successful build of xdm from ports
(/usr/ports/x11/XFree86-4-clients - see ports/43663 for a description of 
how to get this to actually build properly), xdm doesn't run under 
the default supplied configuration. The binary dumps core and the 
cores are badly enough scrambled that you can't get a stack trace...

Fix: 

A workaround, works either of two ways:

Way 1: Add the following two lines to /usr/X11R6/lib/X11/xdm/xdm-config

DisplayManager._0.authName:     MIT-MAGIC-COOKIE-1
DisplayManager._1.authName:     MIT-MAGIC-COOKIE-1

Which turns off the XDMCPAUTH authentication method which is turned on by default - at this point xdm can be used to start an X server on localhost...

Way 2: - undef HASXDMAUTH in the source code of xdm during the build and the stuff will never get called, hence never making the problem happen.


Either way, this just shuts off the broken portion of the code - this isn't a real fix.

A real fix would take figuring out why the dynamic loading of this auth
module in xdm is screwing up, which I'll probably get around to sometime
but which isn't terribly critical to most people, I think.
How-To-Repeat: build port (as per pr ports/43663) and then try and run xdm - well, guess you have to have build the X server to and have a semi-sane configuration - any older version should do fine for this...
Comment 1 Fred Clift 2002-10-04 23:28:56 UTC
See ports/43663 for a patch to solve this problem.

-- 
--
Fred Clift - fclift@verio.net -- Remember: If brute 
force doesn't work, you're just not using enough.
Comment 2 Tilman Keskinoz freebsd_committer 2003-01-08 16:18:07 UTC
Responsible Changed
From-To: freebsd-ports->anholt

Over to Maintainer
Comment 3 Eric Anholt 2003-01-09 21:42:38 UTC
I think the Wraphelp.c we were using is broken on Alpha.  Could you try
the attached patch (It grabs the Wraphelp.c that NetBSD uses) and
rebuild XFree86-4-libraries?

-- 
Eric Anholt                                eta@lclark.edu          
http://people.freebsd.org/~anholt/dri/     anholt@FreeBSD.org
Comment 4 Eric Anholt freebsd_committer 2003-01-10 05:22:41 UTC
State Changed
From-To: open->feedback

Waiting for feedback on attached patch.
Comment 5 fclift 2003-01-14 17:34:25 UTC
That seems to fix the problem with xdm -- I think my X environment is
hosed, or perphaps my ports tree because I'm getting other problems with
the X-clients build, but xdm does get built and works fine now.

I'll try and track down my other problems and see if they warrant a new pr
:).



On 9 Jan 2003, Eric Anholt wrote:

> I think the Wraphelp.c we were using is broken on Alpha.  Could you try
> the attached patch (It grabs the Wraphelp.c that NetBSD uses) and
> rebuild XFree86-4-libraries?
>
> --
> Eric Anholt                                eta@lclark.edu
> http://people.freebsd.org/~anholt/dri/     anholt@FreeBSD.org
>

--
Fred Clift - fclift@verio.net -- Remember: If brute
force doesn't work, you're just not using enough.
Comment 6 Eric Anholt freebsd_committer 2003-01-24 04:38:10 UTC
State Changed
From-To: feedback->closed

I've moved us over to NetBSD's Wraphelp.c.  Thanks for testing this!